#!/bin/bash -e

# TODO2: test-nutshell should be a stratego program,
#        so it can cache all the loaded classes!


if [ ! -e nutshell ] && [ ! -e nutshell.tar.gz ]
then
	echo "***************************************************************"
	echo "Warning: nutshell test suite not found; skipping optional tests"
	echo "***************************************************************"
	exit
fi

echo ------------------
echo nutshell testsuite
echo ------------------

make -s nutshell
cd nutshell
DC="../../xtc/dryad-compiler --verbose 0 -i "

$DC section1/Scribble.java

$DC section4/FirstApplet.java
$DC section4/SecondApplet.java
$DC section4/Scribble.java
$DC section4/Scribble.java section4/StandaloneScribble.java
$DC section4/Imagemap.java

$DC section6/Grep*.java section6/Pipe*.java

$DC section9/ThreadLister.java section9/AppletThreadLister.java

# FIXME: Exception handling asm problem
# $DC section6/FileCopy*.java

$DC section7/*.java
$DC section9/Client.java

# Program has errors (fails in javac)
# $DC section9/Server.java

# TODO: DRY-249 (typing of literals)
# $DC section4/Animator.java section4/AudioAnimator.java
# $DC section8/Animator2.java

# TODO2: Dryad doesn't type simple array initializers
# $DC section4/Scribble.java section4/ColorScribble.java
# $DC section4/Scribble.java section4/ColorScribble.java section4/ClearableScribble.java

# TODO2: switch not supported
# $DC section2/throwtest.java
# $DC section4/Animator.java section4/EventTester.java
# $DC section5/ScrollableScribble.java
# $DC section5/*.java

# TODO2: += for strings
# $DC section6/FileViewer.java section6/FileLister.java

# TODO2: Hex literals not supported
# $DC section8/Smooth.java
# $DC section8/GrayButton.java
